Bug 449606 - stops for vector shape gradient fill don't work correctly
Summary: stops for vector shape gradient fill don't work correctly
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Vector (show other bugs)
Version: 5.0.2
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: vanyossi
URL:
Keywords:
: 449607 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-02-04 16:57 UTC by Nicollas Plate
Modified: 2022-06-28 19:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicollas Plate 2022-02-04 16:57:44 UTC
SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. create any vector shape
2. select the "Select Shapes Tool" and click 
3. in "Tool Options" change the fill color to gradient and try to manipulate the stops

OBSERVED RESULT
The stops of the gradient are not responding correctly, when I select a stop to change the color it automatically selects the first stop and doesn't let me select the other stops, even using the buttons to go to next/previous stop.
Also, changing the color of one specific stop causes all the other stops to change to the selected color.

EXPECTED RESULT
Selecting one stop keep working as it was on the previous versions, when you click on a stop it keeps it selected so you cal edit its color. Change the color from one stop doesn't affect other stops

SOFTWARE/OS VERSIONS
Windows: 10 Home
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION

Krita

 Version: 5.0.2
 Languages: en_US, en, pt_BR, pt, en_US, en, pt_BR, pt, en_US, en, pt_BR, pt, en_US, en, pt_BR, pt, pt_BR, pt, en_US, en
 Hidpi: true

Qt

  Version (compiled): 5.12.12
  Version (loaded): 5.12.12

OS Information

  Build ABI: x86_64-little_endian-llp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: winnt
  Kernel Version: 10.0.19044
  Pretty Productname: Windows 10 (10.0)
  Product Type: windows
  Product Version: 10

OpenGL Info
 
  Vendor:  "Google Inc." 
  Renderer:  "ANGLE (Intel(R) UHD Graphics Direct3D11 vs_5_0 ps_5_0)" 
  Version:  "OpenGL ES 3.0 (ANGLE 2.1.0.57ea533f79a7)" 
  Shading language:  "OpenGL ES GLSL ES 3.00 (ANGLE 2.1.0.57ea533f79a7)" 
  Requested format:  QSurfaceFormat(version 3.0, options QFlags<QSurfaceFormat::FormatOption>(DeprecatedFunctions), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::DoubleBuffer, swapInterval 0, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::CompatibilityProfile) 
  Current format:  QSurfaceFormat(version 3.0, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples 0, swapBehavior QSurfaceFormat::DefaultSwapBehavior, swapInterval 0, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile) 
     Version: 3.0
     Supports deprecated functions false 
     is OpenGL ES: true 
  supportsBufferMapping: true 
  supportsBufferInvalidation: false 
  Extensions: 
     "GL_OES_standard_derivatives" 
     "GL_EXT_texture_compression_dxt1" 
     "GL_ANGLE_instanced_arrays" 
     "GL_OES_EGL_image_external_essl3" 
     "GL_CHROMIUM_color_buffer_float_rgba" 
     "GL_OES_texture_float" 
     "GL_ANGLE_framebuffer_blit" 
     "GL_EXT_discard_framebuffer" 
     "GL_EXT_texture_norm16" 
     "GL_EXT_blend_minmax" 
     "GL_ANGLE_translated_shader_source" 
     "" 
     "GL_CHROMIUM_copy_compressed_texture" 
     "GL_CHROMIUM_bind_uniform_location" 
     "GL_ANGLE_pack_reverse_row_order" 
     "GL_EXT_debug_marker" 
     "GL_OES_packed_depth_stencil" 
     "GL_EXT_texture_filter_anisotropic" 
     "GL_OES_depth32" 
     "GL_ANGLE_client_arrays" 
     "GL_NV_fence" 
     "GL_ANGLE_request_extension" 
     "GL_CHROMIUM_color_buffer_float_rgb" 
     "GL_EXT_read_format_bgra" 
     "GL_ANGLE_robust_client_memory" 
     "GL_EXT_shader_texture_lod" 
     "GL_EXT_occlusion_query_boolean" 
     "GL_EXT_texture_compression_s3tc_srgb" 
     "GL_OES_texture_float_linear" 
     "GL_ANGLE_texture_usage" 
     "GL_EXT_unpack_subimage" 
     "GL_EXT_robustness" 
     "GL_ANGLE_texture_compression_dxt5" 
     "GL_OES_texture_half_float_linear" 
     "GL_EXT_sRGB" 
     "GL_ANGLE_framebuffer_multisample" 
     "GL_EXT_map_buffer_range" 
     "GL_OES_get_program_binary" 
     "GL_CHROMIUM_copy_texture" 
     "GL_OES_rgb8_rgba8" 
     "GL_EXT_texture_storage" 
     "GL_OES_EGL_image" 
     "GL_ANGLE_program_cache_control" 
     "GL_OES_EGL_image_external" 
     "GL_OES_texture_half_float" 
     "GL_NV_pack_subimage" 
     "GL_ANGLE_lossy_etc_decode" 
     "GL_EXT_texture_format_BGRA8888" 
     "GL_EXT_color_buffer_float" 
     "GL_EXT_color_buffer_half_float" 
     "GL_EXT_frag_depth" 
     "GL_ANGLE_texture_compression_dxt3" 
     "GL_OES_element_index_uint" 
     "GL_OES_texture_npot" 
     "GL_EXT_texture_rg" 
     "GL_CHROMIUM_bind_generates_resource" 
     "GL_OES_surfaceless_context" 
     "GL_ANGLE_multiview" 
     "GL_EXT_disjoint_timer_query" 
     "GL_NV_pixel_buffer_object" 
     "GL_ANGLE_depth_texture" 
     "GL_KHR_debug" 
     "GL_NV_EGL_stream_consumer_external" 
     "GL_OES_compressed_ETC1_RGB8_texture" 
     "GL_CHROMIUM_sync_query" 
     "GL_OES_vertex_array_object" 
     "GL_EXT_draw_buffers" 
     "GL_OES_mapbuffer" 

QPA OpenGL Detection Info 
  supportsDesktopGL: true 
  supportsAngleD3D11: true 
  isQtPreferAngle: true 

useBufferInvalidation (config option): false


---------------------
 11 Jan 2022 15:45:17 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Desktop\morzinho.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 6428
-- -- -- -- -- -- -- --
11 Jan 2022 15:45:17 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
11 Jan 2022 15:45:18 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
11 Jan 2022 15:45:20 -0300: Non-store package - creating updater
11 Jan 2022 15:45:23 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Desktop\morzinho.kra. Real location: C:\Users\Nicollas\Desktop\morzinho.kra. Batchmode: 0
11 Jan 2022 15:45:23 -0300: Loaded image from application/x-krita. Size: 1920 * 1080 pixels, 4.16667 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 25
11 Jan 2022 15:46:02 -0300: CLOSING SESSION
================================================================================



















SESSION: 11 Jan 2022 15:46:14 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Desktop\morzinho_001.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 6500
-- -- -- -- -- -- -- --
11 Jan 2022 15:46:14 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
11 Jan 2022 15:46:15 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
11 Jan 2022 15:46:17 -0300: Non-store package - creating updater
11 Jan 2022 15:46:20 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Real location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Batchmode: 0
11 Jan 2022 15:46:20 -0300: Loaded image from application/x-krita. Size: 1920 * 1080 pixels, 4.16667 dpi. Color model: 8-bits inteiros/canal RGB/Alfa (sRGB-elle-V2-srgbtrc.icc). Layers: 25
11 Jan 2022 17:02:53 -0300: CLOSING SESSION
================================================================================


















SESSION: 12 Jan 2022 15:39:06 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 7500
-- -- -- -- -- -- -- --
12 Jan 2022 15:39:06 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
12 Jan 2022 15:39:08 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
12 Jan 2022 15:39:10 -0300: Non-store package - creating updater
12 Jan 2022 15:39:32 -0300: CLOSING SESSION
================================================================================

















SESSION: 12 Jan 2022 15:39:36 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 8604
-- -- -- -- -- -- -- --
12 Jan 2022 15:39:36 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
12 Jan 2022 15:39:37 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
12 Jan 2022 15:39:39 -0300: Non-store package - creating updater
12 Jan 2022 15:40:53 -0300: Created image "Unnamed", 1920 * 1080 pixels, 300 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 2
12 Jan 2022 15:55:53 -0300: Autosaving: C:/Users/Nicollas/AppData/Local/Temp/.krita-8604-document_0-autosave.kra
12 Jan 2022 15:55:53 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/AppData/Local/Temp/.krita-8604-document_0-autosave.kra. Real location: C:/Users/Nicollas/AppData/Local/Temp/.krita-8604-document_0-autosave.kra. Batchmode: 0. Configuration: none
12 Jan 2022 15:55:54 -0300: Completed saving C:/Users/Nicollas/AppData/Local/Temp/.krita-8604-document_0-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 29214
12 Jan 2022 16:32:24 -0300: Removing autosave file: C:/Users/Nicollas/AppData/Local/Temp/.krita-8604-document_0-autosave.kra
12 Jan 2022 16:32:25 -0300: CLOSING SESSION
================================================================================
















SESSION: 20 Jan 2022 11:08:26 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Downloads\Pessoas.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 14524
-- -- -- -- -- -- -- --
20 Jan 2022 11:08:26 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
20 Jan 2022 11:08:28 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
20 Jan 2022 11:08:31 -0300: Non-store package - creating updater
20 Jan 2022 11:08:36 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Downloads\Pessoas.kra. Real location: C:\Users\Nicollas\Downloads\Pessoas.kra. Batchmode: 0
20 Jan 2022 11:08:36 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bit integer/channel RGB/Alpha (sRGB-elle-V2-g10.icc). Layers: 18
================================================================================















SESSION: 20 Jan 2022 11:11:10 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Genéricas.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 6476
-- -- -- -- -- -- -- --
20 Jan 2022 11:11:10 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
================================================================================














SESSION: 20 Jan 2022 15:34:26 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Genéricas.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 6820
-- -- -- -- -- -- -- --
20 Jan 2022 15:34:26 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
20 Jan 2022 15:34:29 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
20 Jan 2022 15:34:35 -0300: Non-store package - creating updater
20 Jan 2022 15:34:41 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Genéricas.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Genéricas.kra. Batchmode: 0
20 Jan 2022 15:34:41 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bit integer/channel RGB/Alpha (sRGB-elle-V2-g10.icc). Layers: 31
20 Jan 2022 15:36:27 -0300: Importing application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Genéricas.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Genéricas.kra. Batchmode: 0
20 Jan 2022 15:36:27 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bit integer/channel RGB/Alpha (sRGB-elle-V2-g10.icc). Layers: 31
20 Jan 2022 15:36:49 -0300: Importing application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0
20 Jan 2022 15:36:49 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bit integer/channel RGB/Alpha (sRGB-elle-V2-g10.icc). Layers: 29
20 Jan 2022 15:51:28 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Genéricas.kra-autosave.kra
20 Jan 2022 15:51:28 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Genéricas.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Genéricas.kra-autosave.kra. Batchmode: 0. Configuration: none
20 Jan 2022 15:51:28 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Genéricas.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 50507
20 Jan 2022 15:51:50 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
20 Jan 2022 15:51:51 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Batchmode: 0. Configuration: none
20 Jan 2022 15:51:51 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 64233
20 Jan 2022 16:35:33 -0300: Saving Document C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Genéricas.kra as C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
20 Jan 2022 16:35:33 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra in the same location as the file.
20 Jan 2022 16:35:33 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0. Configuration: none
20 Jan 2022 16:35:33 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 173288
20 Jan 2022 16:35:33 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Genéricas.kra-autosave.kra
20 Jan 2022 16:35:33 -0300: Saving Completed
20 Jan 2022 16:35:39 -0300: SAFE ASSERT (krita): "m_parentLayer->visible(true)" in file C:\Packaging\workspace\Krita_Release_Windows64_Build\krita\libs\ui\flake\kis_shape_layer_canvas.cpp, line 471
20 Jan 2022 16:35:42 -0300: SAFE ASSERT (krita): "m_parentLayer->visible(true)" in file C:\Packaging\workspace\Krita_Release_Windows64_Build\krita\libs\ui\flake\kis_shape_layer_canvas.cpp, line 471
20 Jan 2022 16:37:36 -0300: Saving Document C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra as C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
20 Jan 2022 16:37:36 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra in the same location as the file.
20 Jan 2022 16:37:36 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0. Configuration: none
20 Jan 2022 16:37:37 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 173465
20 Jan 2022 16:37:37 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
20 Jan 2022 16:37:37 -0300: Saving Completed
20 Jan 2022 16:37:59 -0300: Saving Document C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra as C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana old.kra (mime: application/x-krita). 1080 * 1920 pixels, 30 layers.  101 frames, 24 framerate. Export configuration: No configuration
20 Jan 2022 16:37:59 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana old.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana old.kra. Batchmode: 0. Configuration: none
20 Jan 2022 16:37:59 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana old.kra (mime: application/x-krita). Result: OK. Warning: . Size: 181818
20 Jan 2022 16:37:59 -0300: Saving Completed
20 Jan 2022 16:38:04 -0300: CLOSING SESSION
================================================================================













SESSION: 20 Jan 2022 18:24:53 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Desktop\morzinho_001.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 13968
-- -- -- -- -- -- -- --
20 Jan 2022 18:24:53 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
20 Jan 2022 18:24:55 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
20 Jan 2022 18:24:57 -0300: Non-store package - creating updater
20 Jan 2022 18:25:00 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Real location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Batchmode: 0
20 Jan 2022 18:25:01 -0300: Loaded image from application/x-krita. Size: 1920 * 1080 pixels, 4.16667 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 25
20 Jan 2022 18:25:54 -0300: CLOSING SESSION
================================================================================












SESSION: 20 Jan 2022 18:26:02 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Desktop\morzinho_001.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 15416
-- -- -- -- -- -- -- --
20 Jan 2022 18:26:02 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
20 Jan 2022 18:26:03 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
20 Jan 2022 18:26:06 -0300: Non-store package - creating updater
20 Jan 2022 18:26:08 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Real location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Batchmode: 0
20 Jan 2022 18:26:08 -0300: Loaded image from application/x-krita. Size: 1920 * 1080 pixels, 4.16667 dpi. Color model: 8-bits inteiros/canal RGB/Alfa (sRGB-elle-V2-srgbtrc.icc). Layers: 25
20 Jan 2022 19:11:09 -0300: Autosaving: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra
20 Jan 2022 19:11:20 -0300: Autosaving: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra
20 Jan 2022 19:11:20 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra. Real location: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra. Batchmode: 0. Configuration: none
20 Jan 2022 19:11:20 -0300: Completed saving C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 7601957
20 Jan 2022 19:26:22 -0300: Autosaving: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra
20 Jan 2022 19:26:22 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra. Real location: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra. Batchmode: 0. Configuration: none
20 Jan 2022 19:26:23 -0300: Completed saving C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 7611023
21 Jan 2022 11:55:54 -0300: Saving Document C:\Users\Nicollas\Desktop\morzinho_001.kra as C:\Users\Nicollas\Desktop\morzinho_001.kra (mime: application/x-krita). 1920 * 1080 pixels, 26 layers.  101 frames, 24 framerate. Export configuration: No configuration
21 Jan 2022 11:55:54 -0300: Create a simple backup for C:\Users\Nicollas\Desktop\morzinho_001.kra in the same location as the file.
21 Jan 2022 11:55:54 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Real location: C:\Users\Nicollas\Desktop\morzinho_001.kra. Batchmode: 0. Configuration: none
21 Jan 2022 11:55:54 -0300: Completed saving C:\Users\Nicollas\Desktop\morzinho_001.kra (mime: application/x-krita). Result: OK. Warning: . Size: 7847243
21 Jan 2022 11:55:54 -0300: Removing autosave file: C:/Users/Nicollas/Desktop/.morzinho_001.kra-autosave.kra
21 Jan 2022 11:55:54 -0300: Saving Completed
21 Jan 2022 11:55:55 -0300: CLOSING SESSION
================================================================================











SESSION: 21 Jan 2022 12:05:07 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 14824
-- -- -- -- -- -- -- --
21 Jan 2022 12:05:07 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
21 Jan 2022 12:05:09 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
21 Jan 2022 12:05:11 -0300: Non-store package - creating updater
21 Jan 2022 12:05:14 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Batchmode: 0
21 Jan 2022 12:05:14 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bits inteiros/canal RGB/Alfa (sRGB-elle-V2-g10.icc). Layers: 31
21 Jan 2022 12:07:45 -0300: Importing application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana old.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana old.kra. Batchmode: 0
21 Jan 2022 12:07:45 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bits inteiros/canal RGB/Alfa (sRGB-elle-V2-g10.icc). Layers: 29
21 Jan 2022 12:20:15 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
21 Jan 2022 12:20:15 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Batchmode: 0. Configuration: none
21 Jan 2022 12:20:16 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 57549
21 Jan 2022 12:22:46 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana old.kra-autosave.kra
21 Jan 2022 12:22:46 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana old.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana old.kra-autosave.kra. Batchmode: 0. Configuration: none
21 Jan 2022 12:22:46 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana old.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 64469
21 Jan 2022 12:23:10 -0300: Saving Document C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra as C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
21 Jan 2022 12:23:10 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra in the same location as the file.
21 Jan 2022 12:23:10 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Batchmode: 0. Configuration: none
21 Jan 2022 12:23:10 -0300: Completed saving C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 157600
21 Jan 2022 12:23:10 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
21 Jan 2022 12:23:10 -0300: Saving Completed
21 Jan 2022 12:24:46 -0300: CLOSING SESSION
================================================================================










SESSION: 21 Jan 2022 12:24:50 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 2216
-- -- -- -- -- -- -- --
21 Jan 2022 12:24:50 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
21 Jan 2022 12:24:52 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
21 Jan 2022 12:24:54 -0300: Non-store package - creating updater
21 Jan 2022 12:25:24 -0300: CLOSING SESSION
================================================================================









SESSION: 21 Jan 2022 12:25:25 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 11592
-- -- -- -- -- -- -- --
21 Jan 2022 12:25:25 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
21 Jan 2022 12:25:27 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
21 Jan 2022 12:25:29 -0300: Non-store package - creating updater
21 Jan 2022 12:37:44 -0300: Importing application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0
21 Jan 2022 12:37:45 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bit integer/channel RGB/Alpha (sRGB-elle-V2-g10.icc). Layers: 31
21 Jan 2022 12:52:47 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
21 Jan 2022 12:52:47 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Batchmode: 0. Configuration: none
21 Jan 2022 12:52:47 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 58839
21 Jan 2022 13:11:32 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
21 Jan 2022 13:11:32 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Batchmode: 0. Configuration: none
21 Jan 2022 13:11:32 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 57603
21 Jan 2022 13:28:43 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
21 Jan 2022 13:28:43 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra. Batchmode: 0. Configuration: none
21 Jan 2022 13:28:43 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 59172
21 Jan 2022 13:35:16 -0300: Saving Document C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra as C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
21 Jan 2022 13:35:16 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra in the same location as the file.
21 Jan 2022 13:35:16 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0. Configuration: none
21 Jan 2022 13:35:16 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 188183
21 Jan 2022 13:35:16 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Happy Code/Pessoas/.Pessoas Savana.kra-autosave.kra
21 Jan 2022 13:35:16 -0300: Saving Completed
21 Jan 2022 13:36:02 -0300: Saving Document C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra as C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
21 Jan 2022 13:36:02 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra in the same location as the file.
21 Jan 2022 13:36:02 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0. Configuration: none
21 Jan 2022 13:36:02 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 188172
21 Jan 2022 13:36:02 -0300: Saving Completed
21 Jan 2022 13:43:11 -0300: Saving Document C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra as C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
21 Jan 2022 13:43:11 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra in the same location as the file.
21 Jan 2022 13:43:11 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra. Batchmode: 0. Configuration: none
21 Jan 2022 13:43:11 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Pessoas/Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 198925
21 Jan 2022 13:43:11 -0300: Saving Completed
21 Jan 2022 21:10:16 -0300: CLOSING SESSION
================================================================================








SESSION: 24 Jan 2022 11:49:10 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 12620
-- -- -- -- -- -- -- --
24 Jan 2022 11:49:10 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
24 Jan 2022 11:49:12 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
24 Jan 2022 11:49:15 -0300: Non-store package - creating updater
24 Jan 2022 11:49:21 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Batchmode: 0
24 Jan 2022 11:49:21 -0300: Loaded image from application/x-krita. Size: 1080 * 1920 pixels, 4.16667 dpi. Color model: 16-bit integer/channel RGB/Alpha (sRGB-elle-V2-g10.icc). Layers: 31
24 Jan 2022 13:14:55 -0300: Saving Document C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra as C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 32 layers.  101 frames, 24 framerate. Export configuration: No configuration
24 Jan 2022 13:14:55 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra in the same location as the file.
24 Jan 2022 13:14:55 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Batchmode: 0. Configuration: none
24 Jan 2022 13:14:55 -0300: Completed saving C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 89564
24 Jan 2022 13:14:55 -0300: Saving Completed
24 Jan 2022 13:15:22 -0300: Saving Document C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra as C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra (mime: application/x-krita). 1080 * 1920 pixels, 30 layers.  101 frames, 24 framerate. Export configuration: No configuration
24 Jan 2022 13:15:22 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra in the same location as the file.
24 Jan 2022 13:15:22 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra. Batchmode: 0. Configuration: none
24 Jan 2022 13:15:22 -0300: Completed saving C:\Users\Nicollas\Documents\Happy Code\Pessoas\Pessoas Savana.kra (mime: application/x-krita). Result: OK. Warning: . Size: 87584
24 Jan 2022 13:15:22 -0300: Saving Completed
================================================================================







SESSION: 24 Jan 2022 13:18:09 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Projetos\Savana Remake\Pessoas\Pessoas Savana.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 5368
-- -- -- -- -- -- -- --
24 Jan 2022 13:18:09 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
================================================================================






SESSION: 29 Jan 2022 21:12:41 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 16356
-- -- -- -- -- -- -- --
29 Jan 2022 21:12:41 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
29 Jan 2022 21:12:44 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
29 Jan 2022 21:12:48 -0300: Non-store package - creating updater
29 Jan 2022 21:14:01 -0300: Created image "Unnamed", 1920 * 1080 pixels, 300 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 2
29 Jan 2022 21:16:04 -0300: Saving Document  as C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). 1920 * 1080 pixels, 3 layers.  101 frames, 24 framerate. Export configuration: No configuration
29 Jan 2022 21:16:04 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Batchmode: 0. Configuration: none
29 Jan 2022 21:16:04 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 68279
29 Jan 2022 21:16:04 -0300: Saving Completed
29 Jan 2022 21:20:20 -0300: Created image "Unnamed", 2048 * 2048 pixels, 300 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 2
29 Jan 2022 21:20:38 -0300: Saving Document  as C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). 2048 * 2048 pixels, 2 layers.  101 frames, 24 framerate. Export configuration: No configuration
29 Jan 2022 21:20:38 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra in the same location as the file.
29 Jan 2022 21:20:38 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Batchmode: 0. Configuration: none
29 Jan 2022 21:20:38 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 98506
29 Jan 2022 21:20:38 -0300: Saving Completed
29 Jan 2022 21:29:01 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
29 Jan 2022 21:29:01 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
29 Jan 2022 21:29:01 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 29833
29 Jan 2022 21:35:20 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
29 Jan 2022 21:35:20 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
29 Jan 2022 21:35:21 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 206326
29 Jan 2022 22:20:14 -0300: Saving Document C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra as C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). 1920 * 1080 pixels, 3 layers.  101 frames, 24 framerate. Export configuration: No configuration
29 Jan 2022 22:20:14 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra in the same location as the file.
29 Jan 2022 22:20:14 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Batchmode: 0. Configuration: none
29 Jan 2022 22:20:15 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 68900
29 Jan 2022 22:20:15 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
29 Jan 2022 22:20:15 -0300: Saving Completed
29 Jan 2022 22:20:18 -0300: Saving Document C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra as C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). 2048 * 2048 pixels, 3 layers.  101 frames, 24 framerate. Export configuration: No configuration
29 Jan 2022 22:20:18 -0300: Create a simple backup for C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra in the same location as the file.
29 Jan 2022 22:20:18 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra. Batchmode: 0. Configuration: none
29 Jan 2022 22:20:18 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 289723
29 Jan 2022 22:20:18 -0300: Saving Completed
29 Jan 2022 22:20:19 -0300: CLOSING SESSION
================================================================================





SESSION: 31 Jan 2022 21:41:17 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 3696
-- -- -- -- -- -- -- --
31 Jan 2022 21:41:17 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
31 Jan 2022 21:41:19 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
31 Jan 2022 21:41:21 -0300: Non-store package - creating updater
31 Jan 2022 21:41:25 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Real location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Batchmode: 0
31 Jan 2022 21:41:25 -0300: Loaded image from application/x-krita. Size: 2048 * 2048 pixels, 4.16667 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 3
31 Jan 2022 23:07:40 -0300: Saving Document C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra as C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). 2048 * 2048 pixels, 4 layers.  101 frames, 24 framerate. Export configuration: No configuration
31 Jan 2022 23:07:40 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra in the same location as the file.
31 Jan 2022 23:07:40 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Real location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Batchmode: 0. Configuration: none
31 Jan 2022 23:07:42 -0300: Completed saving C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 5224939
31 Jan 2022 23:07:42 -0300: Saving Completed
31 Jan 2022 23:14:03 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:14:03 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
31 Jan 2022 23:14:04 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 4999035
31 Jan 2022 23:21:28 -0300: Importing image/jpeg to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/c8a1ff6fe323fd541129d2e9dde4d383.jpg. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/c8a1ff6fe323fd541129d2e9dde4d383.jpg. Batchmode: 0
31 Jan 2022 23:21:28 -0300: Loaded image from image/jpeg. Size: 236 * 314 pixels, 1 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 2
31 Jan 2022 23:29:06 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:29:16 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:29:26 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:29:36 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:29:36 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
31 Jan 2022 23:29:37 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 8040348
31 Jan 2022 23:44:37 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:44:38 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
31 Jan 2022 23:44:39 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 8591011
31 Jan 2022 23:54:40 -0300: Saving Document C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra as C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). 2048 * 2048 pixels, 8 layers.  101 frames, 24 framerate. Export configuration: No configuration
31 Jan 2022 23:54:40 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra in the same location as the file.
31 Jan 2022 23:54:40 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Real location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Batchmode: 0. Configuration: none
31 Jan 2022 23:54:42 -0300: Completed saving C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 9770781
31 Jan 2022 23:54:42 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
31 Jan 2022 23:54:42 -0300: Saving Completed
31 Jan 2022 23:54:42 -0300: CLOSING SESSION
================================================================================




SESSION: 02 Feb 2022 16:56:46 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 13468
-- -- -- -- -- -- -- --
02 Feb 2022 16:56:46 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
02 Feb 2022 16:56:48 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
02 Feb 2022 16:56:51 -0300: Non-store package - creating updater
02 Feb 2022 16:56:54 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Real location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Batchmode: 0
02 Feb 2022 16:56:54 -0300: Loaded image from application/x-krita. Size: 2048 * 2048 pixels, 4.16667 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 8
02 Feb 2022 17:11:55 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
02 Feb 2022 17:11:55 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
02 Feb 2022 17:11:57 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 8539916
02 Feb 2022 17:15:16 -0300: Saving Document C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra as C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). 2048 * 2048 pixels, 7 layers.  101 frames, 24 framerate. Export configuration: No configuration
02 Feb 2022 17:15:16 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra in the same location as the file.
02 Feb 2022 17:15:16 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Real location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Batchmode: 0. Configuration: none
02 Feb 2022 17:15:18 -0300: Completed saving C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 9558391
02 Feb 2022 17:15:18 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
02 Feb 2022 17:15:18 -0300: Saving Completed
02 Feb 2022 17:30:33 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
02 Feb 2022 17:30:33 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
02 Feb 2022 17:30:35 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 8745782
02 Feb 2022 17:45:35 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
02 Feb 2022 17:45:35 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
02 Feb 2022 17:45:37 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 9242404
02 Feb 2022 18:00:37 -0300: Autosaving: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
02 Feb 2022 18:00:37 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra. Batchmode: 0. Configuration: none
02 Feb 2022 18:00:39 -0300: Completed saving C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 9540665
02 Feb 2022 18:07:54 -0300: Saving Document C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra as C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). 2048 * 2048 pixels, 8 layers.  101 frames, 24 framerate. Export configuration: No configuration
02 Feb 2022 18:07:54 -0300: Create a simple backup for C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra in the same location as the file.
02 Feb 2022 18:07:55 -0300: Converting from application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Real location: C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra. Batchmode: 0. Configuration: none
02 Feb 2022 18:07:56 -0300: Completed saving C:\Users\Nicollas\Documents\Decider Space Ship Club\Esboço.kra (mime: application/x-krita). Result: OK. Warning: . Size: 10095663
02 Feb 2022 18:07:56 -0300: Removing autosave file: C:/Users/Nicollas/Documents/Decider Space Ship Club/.Esboço.kra-autosave.kra
02 Feb 2022 18:07:56 -0300: Saving Completed
02 Feb 2022 18:09:57 -0300: CLOSING SESSION
================================================================================



SESSION: 03 Feb 2022 05:50:09 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 10716
-- -- -- -- -- -- -- --
03 Feb 2022 05:50:09 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
03 Feb 2022 05:50:12 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
03 Feb 2022 05:50:16 -0300: Non-store package - creating updater
03 Feb 2022 05:50:57 -0300: Created image "Unnamed", 1920 * 1080 pixels, 300 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 2
03 Feb 2022 06:05:57 -0300: Autosaving: C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra
03 Feb 2022 06:05:57 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra. Real location: C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra. Batchmode: 0. Configuration: none
03 Feb 2022 06:05:57 -0300: Completed saving C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 61008
03 Feb 2022 07:19:22 -0300: Autosaving: C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra
03 Feb 2022 07:19:22 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra. Real location: C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra. Batchmode: 0. Configuration: none
03 Feb 2022 07:19:22 -0300: Completed saving C:/Users/Nicollas/AppData/Local/Temp/.krita-10716-document_0-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 102480
================================================================================


SESSION: 03 Feb 2022 10:09:56 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Projetos\1.1 - Savana Africana (Correção)\4. Cenários\Cenário\Savana Cut Out.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 9888
-- -- -- -- -- -- -- --
03 Feb 2022 10:09:56 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
================================================================================

SESSION: 04 Feb 2022 10:15:18 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Projetos\2 - Salares Chilenos\4. Cenários\Salares Cut Out.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 14468
-- -- -- -- -- -- -- --
04 Feb 2022 10:15:18 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
04 Feb 2022 10:15:24 -0300: Database is up to date. Version: 0.0.15, created by Krita 5.0.2, at dom jan 9 02:24:45 2022
04 Feb 2022 10:15:27 -0300: Non-store package - creating updater
04 Feb 2022 10:15:35 -0300: Importing application/x-krita to application/x-krita. Location: C:\Users\Nicollas\Documents\Happy Code\Projetos\2 - Salares Chilenos\4. Cenários\Salares Cut Out.kra. Real location: C:\Users\Nicollas\Documents\Happy Code\Projetos\2 - Salares Chilenos\4. Cenários\Salares Cut Out.kra. Batchmode: 0
04 Feb 2022 10:15:35 -0300: Loaded image from application/x-krita. Size: 1920 * 1080 pixels, 4.16667 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 8
04 Feb 2022 10:30:37 -0300: Autosaving: C:/Users/Nicollas/Documents/Happy Code/Projetos/2 - Salares Chilenos/4. Cenários/.Salares Cut Out.kra-autosave.kra
04 Feb 2022 10:30:37 -0300: Converting from application/x-krita to application/x-krita. Location: C:/Users/Nicollas/Documents/Happy Code/Projetos/2 - Salares Chilenos/4. Cenários/.Salares Cut Out.kra-autosave.kra. Real location: C:/Users/Nicollas/Documents/Happy Code/Projetos/2 - Salares Chilenos/4. Cenários/.Salares Cut Out.kra-autosave.kra. Batchmode: 0. Configuration: none
04 Feb 2022 10:30:38 -0300: Completed saving C:/Users/Nicollas/Documents/Happy Code/Projetos/2 - Salares Chilenos/4. Cenários/.Salares Cut Out.kra-autosave.kra (mime: application/x-krita). Result: OK. Warning: . Size: 96067
================================================================================
SESSION: 04 Feb 2022 10:55:28 -0300. Executing C:\Program Files\Krita (x64)\bin\krita.exe C:\Users\Nicollas\Documents\Happy Code\Projetos\1.1 - Savana Africana (Correção)\4. Cenários\Cenário\Savana Cut Out.kra

Krita Version: 5.0.2, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 8264
-- -- -- -- -- -- -- --
04 Feb 2022 10:55:28 -0300: Style: fusion. Available styles: windowsvista, Windows, Fusion
Comment 1 Halla Rempt 2022-02-04 17:00:36 UTC
*** Bug 449607 has been marked as a duplicate of this bug. ***
Comment 2 Halla Rempt 2022-02-14 14:38:23 UTC
I can reproduce this only on Windows, not on Linux.
Comment 3 Nicollas Plate 2022-03-30 14:47:49 UTC
Is there any prediction of the fix for this bug?
Comment 4 Halla Rempt 2022-03-31 09:23:22 UTC
This is a free software project. That enables you to fix the bug yourself. You could also offer to fund the fix (60 euros/hour, no estimation available of the number of hours needed), which will give it priority. Otherwise, it's just one of the 633 open bug reports.
Comment 5 RamonMiranda 2022-05-10 13:28:08 UTC
Tested in win10 and i see the same reported results. I can't use the stops as the bug reports. If i select a preset, i can leave it as it is, but if i modify any stop it becomes a gradient with 2 stops and goes from FG color100%op. to transparent.
I will test it also in Linux Kubuntu. I hope this helps.
Comment 6 Bug Janitor Service 2022-06-27 11:30:00 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1491
Comment 7 amyspark 2022-06-28 19:50:45 UTC
Git commit fc362afcb2954d10f8391f803b44a4c2ac88de39 by L. E. Segovia, on behalf of Sharaf Zaman.
Committed on 28/06/2022 at 19:49.
Pushed by lsegovia into branch 'master'.

Bugfix: Gradient fill stops can't be changed for vector objects

What resulted in the bug is firing of selectionContentChanged() signal
after the setNewGradientBackgroundToShape() routine had returned --
because the blocker for d->shapeChangedAcyclicConnector had already been
destroyed. And when the shapeChanged method was called, it sent down the
call assuming gradient was changed (which would reset value of
m_selectedStop) when it wasn't.

Now, we remove signal connections for selectionChanged() and
selectionContentChanged(), because they're delivered asynchronously and
without proper guards (the signal blocker work only in some cases, e.g
on windows they always fire once the guard lifetime has ended).

Removing these signals is safe because we now use resourceManager
signals to update the UI once the underlying resource has changed.
Related: bug 455794, bug 447464, bug 453331

M  +2    -20   libs/ui/widgets/KoFillConfigWidget.cpp

https://invent.kde.org/graphics/krita/commit/fc362afcb2954d10f8391f803b44a4c2ac88de39
Comment 8 amyspark 2022-06-28 19:52:29 UTC
Git commit de938cfc89875c360a0e161b5de723739eedf2cc by L. E. Segovia, on behalf of Sharaf Zaman.
Committed on 28/06/2022 at 19:52.
Pushed by lsegovia into branch 'krita/5.1'.

Bugfix: Gradient fill stops can't be changed for vector objects

What resulted in the bug is firing of selectionContentChanged() signal
after the setNewGradientBackgroundToShape() routine had returned --
because the blocker for d->shapeChangedAcyclicConnector had already been
destroyed. And when the shapeChanged method was called, it sent down the
call assuming gradient was changed (which would reset value of
m_selectedStop) when it wasn't.

Now, we remove signal connections for selectionChanged() and
selectionContentChanged(), because they're delivered asynchronously and
without proper guards (the signal blocker work only in some cases, e.g
on windows they always fire once the guard lifetime has ended).

Removing these signals is safe because we now use resourceManager
signals to update the UI once the underlying resource has changed.
Related: bug 455794, bug 447464, bug 453331
(cherry picked from commit fc362afcb2954d10f8391f803b44a4c2ac88de39)

M  +2    -20   libs/ui/widgets/KoFillConfigWidget.cpp

https://invent.kde.org/graphics/krita/commit/de938cfc89875c360a0e161b5de723739eedf2cc